#
# spec file for package php5-pear-symfony2-Finder
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-symfony2-Finder
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%define pear_name  Finder
%define pear_sname finder
Summary:        Symfony2 Finder Component
License:        MIT
Group:          Development/Libraries/PHP
Version:        2.4.4
Release:        2.3
Source0:        http://pear.symfony.com/get/%{pear_name}-%{version}.tgz
Url:            http://pear.symfony.com/

%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif

BuildRequires:  php5-pear-channel-symfony2
Requires:       php5-pear-channel-symfony2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# Fix for renaming (package convention)
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
This is the Symfony Finder Component.

%prep
%setup -c

%build

%install
%{__mv} package.xml %{pear_name}-%{version}
pushd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{php_peardir}/.channels/
%{__cp} %{php_peardir}/.channels/pear.*.reg \
%{buildroot}%{php_peardir}/.channels/

%{__pear} -v \
        -d doc_dir=/%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

popd

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.symfony.com/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%dir "%{php_peardir}/Symfony/Component/Finder/Tests/Fixtures/with space"
"%{php_peardir}/Symfony/Component/Finder/Tests/Fixtures/with space/foo.txt"
%doc %{_docdir}/%{pear_name}

%changelog
* Sat Jul  5 2014 gerrit.beine@gmx.de
- Created inital package for version 2.4.4
